1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

After Update to 9.2.2 still getting announcement for new version

Discussion in 'Plesk 9.x for Linux Issues, Fixes, How-To' started by SvenN, Jul 31, 2009.

  1. SvenN

    SvenN Guest

    0
     
    Hi there!

    I have made an Update from 9.2.1 to 9.2.2 to report looks like this:

    -------------------------------------------------------------------
    Parallels Products Installer 3.4.1 (build at 2009-02-04 18:10 svn rev. 0) started at (timezone CET) Fri Jul 31 08:27:03 2009
    Command line args: /usr/local/psa/admin/bin/autoinstaller --enable-xml-output --source-type=plesk --target=/root/psa --select-release-id=PLESK_9_2_2 --notify-email=xxx@xxx.de --install-component=psa-autoinstaller --no-daemon

    Try to find rcfile...
    Autoinstaller rcfile not found.
    Checking hostname is sucessfull.
    Opsys detected as: os_vendor=CentOS os_name=Linux version=5.3 arch=x86_64 environment=~empty
    Final opsys (with overriding) is: os_vendor=CentOS os_name=Linux version=5.3 arch=x86_64 environment=~empty
    Downloading the file products.inf3: 100% done.
    Downloading the file plesk.inf3: 11%..25%..37%..41%..55%..68%..78%..80%..90%..100% done.
    Downloading the file sitebuilder.inf3: 15%..35%..55%..75%..100% done.
    Downloading the file sso.inf3: 10%..24%..37%..64%..78%..100% done.
    repository: Get brief packages info for all sources
    Checking for installed packages...
    Downloading the file PSA_9.2.2/plesk-9.2.2-cos5-x86_64.inf3: 10%..21%..30%..40%..51%..61%..70%..80%..90%..100% done.
    repository: Get brief packages info for all sources
    Detecting installed product components.
    Component plesk/base: mode up2date, installed=1247574528, available=1247574528
    Component plesk/base have no older version, so keyupdate not needed
    Component plesk/psa-autoinstaller: mode up2date, installed=1233749674, available=1233749674
    Component plesk/php5: mode upgrade, installed=1240383587, available=1247574530
    Component plesk/postgresql: mode install, installed=0, available=1200148559
    Component plesk/vault: mode install, installed=0, available=1247574516
    Component plesk/ppwse: mode install, installed=0, available=1247574488
    Component plesk/api: mode up2date, installed=1247574429, available=1247574429
    Component plesk/pmm-ded: mode up2date, installed=1247574386, available=1247574386
    Component plesk/sb-publish: mode install, installed=0, available=1179887889
    Component plesk/sbm: mode install, installed=0, available=1220864885
    Component plesk/cf-support: mode install, installed=0, available=1247574504
    Component plesk/miva: mode install, installed=0, available=1247574507
    Component plesk/billing: mode install, installed=0, available=1245902780
    Component plesk/mod-bw: mode install, installed=0, available=1194490345
    Component plesk/asp: mode install, installed=0, available=1223518800
    Component plesk/java: mode install, installed=0, available=1247574435
    Component plesk/mod_python: mode up2date, installed=1168104152, available=1168104152
    Component plesk/ruby: mode install, installed=0, available=1247574506
    Component plesk/qmail: mode upgrade, installed=1240383580, available=1247574525
    Component plesk/postfix: mode install, installed=0, available=1247574525
    Component plesk/psa-firewall: mode up2date, installed=1247574434, available=1247574434
    Component plesk/psa-vpn: mode install, installed=0, available=1247574469
    Component plesk/psa-fileserver: mode install, installed=0, available=1247574426
    Component plesk/sshterm: mode install, installed=0, available=1228112978
    Component plesk/watchdog: mode up2date, installed=1247574492, available=1247574492
    Component plesk/cs-gs: mode install, installed=0, available=1247574431
    Component plesk/battlefield: mode install, installed=0, available=1247574481
    Component plesk/bf2: mode install, installed=0, available=1247574504
    Component plesk/mailman: mode up2date, installed=1247574502, available=1247574502
    Component plesk/kav: mode install, installed=0, available=1247574512
    Component plesk/drweb: mode up2date, installed=1247574407, available=1247574407
    Component plesk/spamassassin: mode up2date, installed=1247574438, available=1247574438
    Component plesk/backup-ded: mode up2date, installed=1247574499, available=1247574499
    Component plesk/atis: mode install, installed=0, available=1218704490
    Component plesk/de-DE-locale: mode up2date, installed=1247208745, available=1247208745
    Component plesk/ja-JP-locale: mode install, installed=0, available=1247208828
    Component plesk/es-ES-locale: mode install, installed=0, available=1247208770
    Component plesk/ru-RU-locale: mode install, installed=0, available=1247208847
    Component plesk/fr-FR-locale: mode install, installed=0, available=1247208789
    Component plesk/it-IT-locale: mode install, installed=0, available=1247208808
    Component plesk/zh-CN-locale: mode install, installed=0, available=1247208867
    Component plesk/zh-TW-locale: mode install, installed=0, available=1247208885
    Component plesk/nl-NL-locale: mode install, installed=0, available=1247208904
    Component plesk/horde: mode up2date, installed=1247574478, available=1247574478
    Component plesk/atmail: mode install, installed=0, available=1247574402
    You already have the latest version of product(s) and all selected components
    installed. Installation will not continue.


    ---
    Parallels Products Installer.
    -------------------------------------------------------------------


    And all seems to be all right, but when I have a look at "Parallels Plesk Panel Updater" it shows me, that there are more Updates available (have a look at attach "Bild 8"), but when I open the overview ("Bild 7") there are no updates at all. After login into Plesk I get a message at the top that updates are available, too.

    How can I fix this?
     

    Attached Files:

  2. SvenN

    SvenN Guest

    0
     
    No Ideas? The problem is still there!

    Temporary the "awstats.pl" and "awstats_buildst" Tasks are running and need a lot of performance.
    Have a look at the attached picture (Bild 9), thats the watchdog-statistic of the last 24 hours.
     

    Attached Files:

  3. Loeffel

    Loeffel New Pleskian

    19
     
    Joined:
    Aug 2, 2009
    Messages:
    3
    Likes Received:
    0
    Me too, seem to be the same problem they had some versions ago.
     
  4. tupeu

    tupeu Basic Pleskian

    23
    57%
    Joined:
    Dec 10, 2008
    Messages:
    32
    Likes Received:
    0
    I have the same problem !
    After installing all that my license permits i still get "there is an update" image
     
  5. SvenN

    SvenN Guest

    0
     
    Do you know how long it tooks to get a fix for the issue?
     
  6. abezborodova

    abezborodova Guest

    0
     
    Parallels Panel developers know about the problem. It will be fixed in future update of Parallels Plesk Panel.

    Currently the packages should be determined and upgraded with the autoinstaller script manually. Solution is provided in this KB article: http://kb.odin.com/en/6360
     
  7. SvenN

    SvenN Guest

    0
     
    I have done manually autoinstaller several times before, with no positiv result. I have done now the following:

    Code:
    root:~$ /usr/local/psa/admin/sbin/autoinstaller --select-release-id PLESK_9_2_2 --show-components 2>&1 | grep upgrade
      qmail             [upgrade] - Qmail mailserver
    root:~$ /usr/local/psa/admin/sbin/autoinstaller --select-release-latest --install-component qmail
    Downloading the file products.inf3: 100% done.
    Downloading the file plesk.inf3: 11%..21%..31%..41%..53%..60%..70%..80%..90%..100% done.
    Downloading the file sitebuilder.inf3: 35%..75%..100% done.
    Downloading the file sso.inf3: 10%..27%..40%..54%..67%..81%..100% done.
    Checking for installed packages... 
    Downloading the file PSA_9.2.2/plesk-9.2.2-cos5-x86_64.inf3: 10%..20%..30%..40%..50%..60%..70%..80%..90%..100% done.
    Detecting installed product components.
    Retrieving information about the installed packages... 
    Downloading the file PSA_9.2.2/dist-rpm-CentOS-5-x86_64/build-9.2.2-cos5-x86_64.hdr.gz: 10%..20%..30%..40%..50%..60%..70%..80%..90%..100% done.
    Downloading the file PSA_9.2.2/update-rpm-CentOS-5-x86_64/update-9.2.2-cos5-x86_64.hdr.gz: 10%..20%..30%..40%..50%..60%..70%..80%..90%..100% done.
    Downloading the file PSA_9.2.2/thirdparty-rpm-CentOS-5-x86_64/thirdparty-9.2.2-cos5-x86_64.hdr.gz: 16%..31%..40%..58%..72%..84%..100% done.
    Determining the packages that need to be installed.
    Downloading the file PSA_9.2.2/dist-rpm-CentOS-5-x86_64/opt/maildrivers/courier-imap-3.0.8-cos5.build92090714.19.x86_64.rpm: skipped because of md5 checksum match.
    Downloading the file PSA_9.2.2/dist-rpm-CentOS-5-x86_64/opt/maildrivers/psa-mail-driver-common-9.2.2-cos5.build92090714.19.x86_64.rpm: skipped because of md5 checksum match.
    Downloading the file PSA_9.2.2/dist-rpm-CentOS-5-x86_64/opt/maildrivers/psa-mail-qc-driver-1.0.0-cos5.build92090714.19.x86_64.rpm: skipped because of md5 checksum match.
    Downloading the file PSA_9.2.2/dist-rpm-CentOS-5-x86_64/opt/maildrivers/psa-qmail-1.03-cos5.build92090714.19.x86_64.rpm: skipped because of md5 checksum match.
    Downloading the file PSA_9.2.2/dist-rpm-CentOS-5-x86_64/opt/mail/psa-qmail-rblsmtpd-0.70-cos5.build92090714.19.x86_64.rpm: skipped because of md5 checksum match.
    Starting installation of packages
    Installing the package courier-imap-3.0.8-cos5.build92090714.19.x86_64 (t 0xb7fc600 source=0xa623bc0 P:118 R:26)
    	package courier-imap-3.0.8-cos5.build92090714.19.x86_64 is already installed
    ERROR: Unable to install the requested packages because either there is
    not enough free disk space left, or there are package dependency problems.
    Warning! Not all packages were installed.
    Please check if your system services are operable.
    Please, contact product technical support.
    
    I have about 600 GB of free diskspace and I get no more information of possible dependency problems.

    What can I do next?
     
  8. abezborodova

    abezborodova Guest

    0
     
  9. SvenN

    SvenN Guest

    0
     
    I have tryed to following:

    Code:
    root:/$ rpm -ivh courier-imap-3.0.8-cos5.build92090714.19.x86_64.rpm 
    Preparing...                ########################################### [100%]
    	package courier-imap-3.0.8-cos5.build92090714.19.x86_64 is already installed
    	file /usr/bin/couriertls from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/bin/deliverquota from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/bin/imapd from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/bin/maildiracl from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/bin/maildirkw from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/bin/maildirmake from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/bin/pop3d from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/lib/courier-imap/couriertcpd from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/lib/courier-imap/makedatprog from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/sbin/authenumerate from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/sbin/courierlogger from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/sbin/imaplogin from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/sbin/pop3login from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    	file /usr/sbin/userdbpw from install of courier-imap-3.0.8-cos5.build92090714.19.x86_64 conflicts with file from package courier-imap-3.0.8-cos5.build92090422.13.x86_64
    root:/$ rpm -U courier-imap-3.0.8-cos5.build92090714.19.x86_64.rpm 
    	package courier-imap-3.0.8-cos5.build92090714.19.x86_64 is already installed
    
    Do I have to erase the package "courier-imap-3.0.8-cos5.build92090422.13.x86_64" first, before installing "courier-imap-3.0.8-cos5.build92090714.19.x86_64"? An Update doesn't work - as shown.
     
  10. abezborodova

    abezborodova Guest

    0
     
    Use "rpm -Uvh --force" to upgrade the package.
     
  11. SvenN

    SvenN Guest

    0
     
    I get an error by doing:

    Code:
    root:/$ rpm -Uvh --force psa-mail-driver-common-9.2.2-cos5.build92090714.19.x86_64.rpm 
    Preparing...                ########################################### [100%]
       1:psa-mail-driver-common ########################################### [100%]
    mv: cannot stat `/var/qmail/control/spf*': No such file or directory
     Trying to executing mail_restore to synchronize mail server settings and Plesk Database... 
    
    The server is heavyloaded with the task "mail_auth_dump" and after several minutes the terminalsession is getting closed.

    Before I made the following:

    Code:
    root:/$ rpm -Uvh --force courier-imap-3.0.8-cos5.build92090714.19.x86_64.rpm 
    Preparing...                ########################################### [100%]
    Stopping Courier-IMAP server:
       Stopping imap [  OK  ]
       Stopping imap-ssl [  OK  ]
       Stopping pop3 [  OK  ]
       Stopping pop3-ssl [  OK  ]
    
       1:courier-imap           ########################################### [100%]
     Trying to register service xinetd...  using /sbin/chkconfig
    done
     Trying to executing mail_restore to synchronize mail server settings and Plesk Database... done    
    
    Code:
    root:/$ rpm -Uvh --force psa-qmail-1.03-cos5.build92090714.19.x86_64.rpm 
    Preparing...                ########################################### [100%]
     Checking for the system groups and users necessary for Qmail...
     Checking for the group 'qmail'...
     Group 'qmail' already exists
    
     Checking for the group 'nofiles'...
     Group 'nofiles' already exists
    
     Checking for the user 'alias'...
     User 'alias' already exists
    Changing shell for alias.
    Shell not changed.
    
     Checking for the user 'qmaild'...
     User 'qmaild' already exists
    Changing shell for qmaild.
    Shell not changed.
    
     Checking for the user 'qmaill'...
     User 'qmaill' already exists
    Changing shell for qmaill.
    Shell not changed.
    
     Checking for the user 'qmailp'...
     User 'qmailp' already exists
    Changing shell for qmailp.
    Shell not changed.
    
     Checking for the user 'qmailq'...
     User 'qmailq' already exists
    Changing shell for qmailq.
    Shell not changed.
    
     Checking for the user 'qmailr'...
     User 'qmailr' already exists
    Changing shell for qmailr.
    Shell not changed.
    
     Checking for the user 'qmails'...
     User 'qmails' already exists
    Changing shell for qmails.
    Shell not changed.
    
     Trying to stop service qmail... qmail-send (pid 7105) is running...
    Stopping : done
       1:psa-qmail              ########################################### [100%]
    
     Trying to reload service syslog... syslogd (pid 2329) is running...
    klogd (pid 2332) is running...
    Reloading syslogd...[  OK  ]
    Reloading klogd...[  OK  ]
    done
     Trying to generate SSL certificates for TLS sessions... done
     Trying to register service qmail...  using /sbin/chkconfig
    done
     Trying to start service qmail... qmail-send is stopped
    Starting qmail:  [  OK  ]
    done
    Shutting down kernel logger: [  OK  ]
    Shutting down system logger: [  OK  ]
    Starting system logger: [  OK  ]
    Starting kernel logger: [  OK  ]
    
    Code:
    ultimatebusiness:/$ rpm -Uvh --force psa-mail-qc-driver-1.0.0-cos5.build92090714.19.x86_64.rpm 
    Preparing...                ########################################### [100%]
       1:psa-mail-qc-driver     ########################################### [100%]
    
    
    ===> Configuring Courier-IMAP server
    
     Trying to register service xinetd...  using /sbin/chkconfig
    done
     Trying to Configure Courier IMAP for Plesk-specific authentication... done
     Trying to restart service courier-imap... couriertcpd (pid 24109 24100 24092 24082) is running...
    Stopping Courier-IMAP server:
       Stopping imap [  OK  ]
       Stopping imap-ssl [  OK  ]
       Stopping pop3 [  OK  ]
       Stopping pop3-ssl [  OK  ]
    
    Starting Courier-IMAP server:
       Starting imapd [  OK  ]
       Starting imap-ssl [  OK  ]
       Starting pop3 [  OK  ]
       Starting pop3-ssl [  OK  ]
    
    done
    
    All files downloaded from http://autoinstall.plesk.com/PSA_9.2.2/dist-rpm-CentOS-5-x86_64/opt/maildrivers/
     
  12. sahinler

    sahinler Basic Pleskian

    24
    73%
    Joined:
    Apr 26, 2007
    Messages:
    46
    Likes Received:
    0
    A updating problem...
    After Update : Sending email to Hotmail return:
    Subject : failure notice
    From : MAILER-DAEMON@ns*****.ovh.net

    In header:

    I made this command /usr/local/psa/admin/sbin/mchk for fixing it but not fixed...

    Thanks
     
  13. nicutdk

    nicutdk Basic Pleskian

    23
    57%
    Joined:
    Mar 24, 2007
    Messages:
    35
    Likes Received:
    0
    I have the same problem....

    I change postfix with qmail and works fine for me.
     
Loading...